
Smart Proxy - Bug #5867

Cannot Import Puppet Envioronments

05/22/2014 12:46 AM - Paul Calabro

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.5.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I'm currently unable to import Puppet Environments. When doing so, I receive the following error:

Warning!

ERF12-4115 [ProxyAPI::ProxyException]: Unable to get classes from Puppet for development_alaa_testing

([RestClient::NotAcceptable]: 406 Not Acceptable) for proxy https://puppetmaster01.&lt;some_domain&gt;:8443/puppet

ProxyAPI::ProxyException

My /etc/puppet.conf  is attached (sanitized).

proxy.log shows the following:

E, [2014-05-21T20:09:33.008251 #5973] ERROR -- : Failed to show puppet classes: no 'environments' in

{:current_environment=>#<Puppet::Node::Environment:0x7f16d3e599d0 @watching=true, @config_version=nil, @name=:"*root*",

@manifest="/", @modulepath=[]>, :root_environment=>#<Puppet::Node::Environment:0x7f16d3e599d0 @watching=true,

@config_version=nil, @name=:"*root*", @manifest="/", @modulepath=[]>} at top of []

Please let me know if you need anything else.

Best,

Paul

Related issues:

Is duplicate of Smart Proxy - Bug #5856: Cannot import environments, classes ... Closed 05/21/2014

History

#1 - 05/22/2014 08:19 AM - Dominic Cleal

- Is duplicate of Bug #5856: Cannot import environments, classes even with foreman 1.5.0 added

#2 - 05/22/2014 08:19 AM - Dominic Cleal

Thanks for the report, we're tracking this in #5856.

#3 - 05/22/2014 08:20 AM - Dominic Cleal

- Status changed from New to Duplicate

Files

puppet.conf 2.43 KB 05/22/2014 Paul Calabro
